# class DavJob

###

Module | kio
Namespace | KIO
Class | DavJob
Inherits | KIO::TransferJob

The transfer job pumps data into and/or out of a Slave. Data is sent to the slave on request of the slave ( dataReq). If data coming from the slave can not be handled, the reading of data from the slave should be suspended.

See also KIO.davPropFind()

See also KIO.davPropPatch()

See also KIO.davSearch()

### methods

- DavJob (dd, a0, a1)

  returns ctor
  Not implemented

  Argument | Type | Default
  --- | --- | ---
  dd | DavJobPrivate |
  a0 | int |
  a1 | QString |

- DavJob ( )

  returns ctor
  Not implemented
  before KDE 4.1.0 only

- response ( )

  returns QDomDocument

  Returns the response as a QDomDocument. Returns the response document

- slotData (data)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  data | QByteArray |

- slotFinished ( )

  returns Nothing